/* General Styles for All Devices */
.custom-newsletter-wrapper {
    display: flex;
    /* Use flexbox to align input and button */
}

.custom-newsletter-input {
    padding: 10px 15px;
    font-size: 16px;
    border: 1px solid #3e4247;
    border-radius: 5px 0 0 5px;
    outline: none;
    color: #ffffff;
    background-color: #282d33;
    flex-grow: 1;
    margin: 0;
    /* Remove margin */
}

.custom-newsletter-button {
    padding: 10px 20px;
    font-size: 16px;
    font-weight: bold;
    border: none;
    border-radius: 0 5px 5px 0;
    cursor: pointer;
    color: white;
    background-color: #3f78e0;
    transition: background-color 0.3s ease;
    margin: 0;
    /* Remove margin */
}

.response-message {
    display: none;
    /* Initially hidden */
    position: fixed;
    /* Fixed position */
    bottom: 20px;
    /* Distance from the bottom */
    right: 20px;
    /* Distance from the right */
    background-color: #3f78e0;
    /* Background color */
    color: white;
    /* Text color */
    padding: 10px;
    /* Padding */
    border-radius: 5px;
    /* Rounded corners */
    z-index: 1000;
    /* Ensure it's above other elements */
    transition: opacity 0.5s;
    /* Smooth fade */
}

.custom-newsletter-button:hover {
    background-color: #3f78e0;
}

/* Mobile Specific Styles */
@media (max-width: 768px) {
    .custom-newsletter-wrapper {
        flex-direction: column;
        /* Stack input and button vertically on mobile */
    }

    .custom-newsletter-input {
        margin-bottom: 10px;
        /* Adds space between the input box and button */
        border-radius: 5px;
        /* Reset border-radius for the input */
    }

    .custom-newsletter-button {
        margin-left: 0;
        /* Reset margin to prevent clashing */
        border-radius: 5px;
        /* Reset border-radius for the button */
    }
}
